Skip to content
POST/api/v1/catalog

Add custom catalog entry

Adds an org-private catalog entry (custom scorer, custom provider). Mass-assignment-safe.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/settings/api-keys.

Request body required

Example

{
  "orgId": "00000000-0000-0000-0000-000000000000",
  "type": "model",
  "name": "string",
  "displayName": "string",
  "description": "string",
  "provider": "string",
  "tags": [
    "string"
  ],
  "metadata": {}
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "properties": {
        "orgId": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "type": {
          "type": "string",
          "enum": [
            "model",
            "prompt",
            "agent",
            "scorer",
            "plugin",
            "dataset"
          ]
        },
        "name": {
          "type": "string",
          "minLength": 1,
          "maxLength": 200
        },
        "displayName": {
          "type": "string",
          "maxLength": 200
        },
        "description": {
          "type": "string",
          "maxLength": 5000
        },
        "provider": {
          "type": "string",
          "maxLength": 120
        },
        "tags": {
          "maxItems": 50,
          "type": "array",
          "items": {
            "type": "string",
            "maxLength": 60
          }
        },
        "metadata": {
          "type": "object",
          "additionalProperties": {}
        }
      },
      "required": [
        "orgId",
        "type",
        "name"
      ],
      "additionalProperties": false
    }
  }
}

Response

200 example

{
  "success": true
}

All status codes

200Added.
201Created.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
409Conflict — CATALOG_ID_CONFLICT.
429(no description)
500Internal Server Error — an unhandled error was converted to the standard error envelope (INTERNAL_ERROR).

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/catalog \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "orgId": "00000000-0000-0000-0000-000000000000", "type": "model", "name": "string", "displayName": "string", "description": "string", "provider": "string", "tags": [ "string" ], "metadata": {} }'

TypeScript

// The TypeScript SDK (@evalguard/sdk) exposes TYPED methods — runEval,
// getEval, runSecurityScan, checkFirewall, … — not a generic request().
// For an arbitrary endpoint, call it directly:

const res = await fetch("https://evalguard.ai/api/v1/catalog", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.EVALGUARD_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "orgId": "00000000-0000-0000-0000-000000000000",
    "type": "model",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "provider": "string",
    "tags": [
      "string"
    ],
    "metadata": {}
  }),
});
console.log(res.status, await res.json());

Python

# The Python SDK (pip install evalguardai) exposes TYPED methods on
# EvalGuardClient — run_eval, get_eval, … — not a generic request().
# For an arbitrary endpoint, call it directly:

import os
import requests

headers = {"Authorization": f"Bearer {os.environ['EVALGUARD_API_KEY']}"}
headers["Content-Type"] = "application/json"

response = requests.request(
    "POST",
    "https://evalguard.ai/api/v1/catalog",
    headers=headers,
    json={
    "orgId": "00000000-0000-0000-0000-000000000000",
    "type": "model",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "provider": "string",
    "tags": [
        "string"
    ],
    "metadata": {}
},
)
print(response.status_code, response.json())

Go

package main

import (
	"context"
	"fmt"
	"net/http"
	"os"
	"strings"
)

func main() {
	body := strings.NewReader(`{"orgId":"00000000-0000-0000-0000-000000000000","type":"model","name":"string","displayName":"string","description":"string","provider":"string","tags":["string"],"metadata":{}}`)
	req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/catalog", body)
	req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
	req.Header.Set("Content-Type", "application/json")
	resp, err := http.DefaultClient.Do(req)
	if err != nil { panic(err) }
	defer resp.Body.Close()
	fmt.Println(resp.Status)
}

Errors

400401403409429500

Other Integrations endpoints